Page MenuHomePhabricator

Show referencePreviews on click
Closed, ResolvedPublic2 Story Points

Description

Motivation
In contrast to pagepreviews, we expect the referencepreviews popup to show all the information the user wants to see. So the amount of times people actually want to see in context of the reference section is expected to be much smaller.

Acceptance Criteria

  • The reference popup appears not only when hovering over a reference indicator, but also when clicking on a reference indicator

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2019, 11:10 AM
Lea_WMDE triaged this task as Normal priority.Mar 20 2019, 11:11 AM
Lea_WMDE set the point value for this task to 3.

Change 497817 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/Popups@master] [WIP] Show referencePreviews on click

https://gerrit.wikimedia.org/r/497817

FYI: This seems more problematic as we thought due to the way we have to interrupt the normal chain of events. There will always be a hover event triggered before we trigger a click so the chain of events needs to be altered there. Since we currently assume that there's a general issue in that chain we try to solve T219434 before we continue to work on this feature.

WMDE-Fisch changed the point value for this task from 3 to 8.

This is currently blocked by T219434

WMDE-Fisch changed the point value for this task from 8 to 5.
WMDE-Fisch moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2019-04-17 board.

The patch that implements the desired behavior is now in a state were it could be merged. But from the discussion on that patch I want to bring a valid concern back to the general discussion here:

The patch make sure, that the reference preview appears right away when clicking a reference link. The current implementation does that by providing several things:

  • it avoids the click-triggered jump to the reference section at the end of the page
  • it "skips" the chain of events that will show the preview with delays
  • it shows the preview asap
  • it works with touch interaction

The patch is relatively complex doing all the things described above with the most complex thing being skipping the delay chain.

The concern arised on the patch itself is the following: The delay for the reference previews showing is relatively short. The difference how quick the preview appears between. "It shows because I hover the link." and "It shows because I clicked the link." is a bit hard to recognize. ( to test the whole feature manually, I increased the delay on hover just to be sure, the click is working and not "just showing because I hovered the link anyways ).

The suggested alternative way to go here would be then:

Do all the things above, apart from skipping the delayed action and creating our own. Instead just "wait" for that action to finish to show us the preview. For touch ( where we do not necessarily have a hover before the click ) this would mean that we just trigger the hover when the user touches the link. ( including the delays then )

Pros:

  • less code, less complicated, easier to maintain

Cons:

  • still a short delay on click and on touch
  • delay on click might become more visible if decide on increasing the hover delay

Opinions?
@Lea_WMDE @JStrodt_WMDE

WMDE-Fisch changed the point value for this task from 5 to 2.
WMDE-Fisch moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2019-04-30 board.
awight updated the task description. (Show Details)May 2 2019, 10:15 AM

Change 497817 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Show referencePreviews on click

https://gerrit.wikimedia.org/r/497817

Lea_WMDE closed this task as Resolved.May 9 2019, 11:16 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-04-30 board.